/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package worldclient;

import java.awt.event.*; 
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.*;
/**
 *
 * @author Guilherme
 */
public class MoveControl extends JFrame implements KeyListener {
    private WorldClient client;
    private boolean movingForward = false;
    private boolean movingBackward = false;
    
    public static void main(String[] args) throws ClassNotFoundException { 
        new MoveControl();
    } 

    public  MoveControl() throws ClassNotFoundException 
    {
            this.addKeyListener(this);
            this.setSize(300,300); 
            this.setVisible(true); 
            client = new WorldClient(0); //initializing for creature id 0
    }

    public void keyPressed(KeyEvent e)
    {
      try 
      {
        switch(e.getKeyCode())
        {
           case KeyEvent.VK_LEFT: 
              client.turnLeft(15);
               break;
           case KeyEvent.VK_RIGHT: 
               client.turnRight(15);
               break;
           case KeyEvent.VK_UP:
               if (!movingForward)
               {
                  client.moveForward();
                  movingForward = true;
               }
               break;
           case KeyEvent.VK_DOWN: 
               if (!movingBackward)
               {
                  client.moveBackward();
                  movingBackward = true;
               }
               break;
           case KeyEvent.VK_ADD: 
               client.increaseSpeed();
               break;
           case KeyEvent.VK_MINUS: 
               client.decreaseSpeed();
               break;
           case KeyEvent.VK_SPACE:
               client.refuel();
               break;
           case KeyEvent.VK_1: 
               client.setId(1);
               break;
           case KeyEvent.VK_2: 
               client.setId(2);
               break;
           case KeyEvent.VK_3: 
               client.setId(3);
               break;
           case KeyEvent.VK_4: 
               client.setId(4);
               break;
           case KeyEvent.VK_5: 
               client.setId(5);
               break;
           case KeyEvent.VK_6: 
               client.setId(6);
               break;
           case KeyEvent.VK_7: 
               client.setId(7);
               break;
           case KeyEvent.VK_8: 
               client.setId(8);
               break;
           case KeyEvent.VK_9: 
               client.setId(9);
               break;
           case KeyEvent.VK_0: 
               client.setId(0);
               break;
           case KeyEvent.VK_NUMPAD1: 
               client.setSpeed(1);
               break;
           case KeyEvent.VK_NUMPAD2: 
               client.setSpeed(2);
               break;
           case KeyEvent.VK_NUMPAD3: 
               client.setSpeed(3);
               break;
           case KeyEvent.VK_NUMPAD4: 
               client.setSpeed(4);
               break;
           case KeyEvent.VK_NUMPAD5: 
               client.setSpeed(5);
               break;
           case KeyEvent.VK_NUMPAD6: 
               client.setSpeed(6);
               break;
           case KeyEvent.VK_NUMPAD7: 
               client.setSpeed(7);
               break;
           case KeyEvent.VK_NUMPAD8: 
               client.setSpeed(8);
               break;
           case KeyEvent.VK_NUMPAD9: 
               client.setSpeed(9);
               break;
           case KeyEvent.VK_NUMPAD0: 
               client.setSpeed(0);
               break;
               //ect...
        }
       } 
       catch (IOException ex) 
       {
          Logger.getLogger(MoveControl.class.getName()).log(Level.SEVERE, null, ex);
       }
    }


    public void keyReleased(KeyEvent e)
    {
       try 
       {
            switch(e.getKeyCode())
            {
               case KeyEvent.VK_UP: 
                   client.stop();
                   movingForward = false;
                   break;
               case KeyEvent.VK_DOWN: 
                   client.stop();
                   movingBackward = false;
                   break;
            }
          } 
       catch (IOException ex) 
       {
          Logger.getLogger(MoveControl.class.getName()).log(Level.SEVERE, null, ex);
       }
    }

    public void keyTyped(KeyEvent e) 
    {
    }
}